{%- import 'macros.html' as macros with context -%}
{#-
Expected context:
- SUBMISSIONS
- GROUPS
-#}
<table class="submissions" data-hx-get="/fragments/submissions" data-hx-trigger="every 5s" data-hx-swap="outerHTML">
	<thead>
		<tr>
			<th>Zeitpunkt</th>
			<th>Tag</th>
			<th>Einreichung</th>
			<th>Status</th>
			<th>Gruppe</th>
		</tr>
		<tr class="spacer"></tr>
	</thead>
	<tbody>
		{%- for row in submissions -%}
			<tr class="submissions__row" data-day="{{ row.day }}" data-status="{{ row.status | e }}">
				<td class="submissions__timestamp">{{ row.timestamp | e}}</td>
				<td class="submissions__day">{{ row.day }}</td>
				<td class="submissions__value">{{ row.value | e }}</td>
				<td class="submissions__status">{{ row.status | e }}</td>
				<td class="submissions__group">
					{%- if row.groupid is not none -%}
						<span class="group groupcolor" style="--groupcolor: {{ groups[row.groupid].color | e }};" >{{ row.groupid | e }}</span>
					{%- endif -%}
				</td>
			</tr>
		{%- endfor -%}
	</tbody>
</table>
